Index: ra/src/main/java/org/mobicents/slee/resource/sip11/SipResourceAdaptor.java
===================================================================
--- ra/src/main/java/org/mobicents/slee/resource/sip11/SipResourceAdaptor.java	(revision 4817)
+++ ra/src/main/java/org/mobicents/slee/resource/sip11/SipResourceAdaptor.java	(working copy)
@@ -101,12 +101,14 @@
 
 	private static final String SIP_PORT_BIND = "javax.sip.PORT";
 
+
 	private static final String TRANSPORTS_BIND = "javax.sip.TRANSPORT";
 
 	private static final String STACK_NAME_BIND = "javax.sip.STACK_NAME";
 
 	private int port = 5060;
 
+
 	// private String transport = "udp";
 	private Set<String> transports = new HashSet<String>();
 
@@ -143,7 +145,7 @@
 	// SLEE Related Props --------------------------------------
 
 	// Activity related ====================
-	
+
 	/**
 	 * Holds mapping between fromTag+CallId to activity handle This amppping is
 	 * arbitrary since from/to tags are exchangable between requests - in
@@ -152,7 +154,7 @@
 	 * 2xx for UAC dialog forking and possiblt retransmissions
 	 */
 	private transient Map<String, SipActivityHandle> fromTagCallId2Handle = null;
-	
+
 	private transient Map<SipActivityHandle,Object> activities = null;
 	private transient SipActivityContextInterfaceFactory acif;
 
@@ -200,6 +202,7 @@
 		// this.transport = "udp";
 		allowedTransports.add("udp");
 		allowedTransports.add("tcp");
+		allowedTransports.add("tls");
 		transports.add("udp");
 		// this.stackAddress = "127.0.0.1";
 
@@ -264,6 +267,7 @@
 
 		String confValue = this.properties.getProperty(SIP_PORT_BIND);
 
+
 		// If present lets use it, if not lets use default 5060
 		if (confValue != null) {
 
@@ -271,6 +275,8 @@
 			confValue = null;
 		}
 
+
+
 		// Again properties file should contain this, this should be only passed
 		// through configure(properties)
 		confValue = this.properties.getProperty("javax.sip.TRANSPORT", "udp");
@@ -380,8 +386,9 @@
 
 			for (Iterator it = transports.iterator(); it.hasNext();) {
 				String trans = (String) it.next();
+
 				ListeningPoint lp = this.sipStack.createListeningPoint(
-						this.stackAddress, this.port, trans);
+						this.stackAddress,this.port, trans);
 
 				if (!created) {
 					this.provider = this.sipStack.createSipProvider(lp);
@@ -452,7 +459,7 @@
 	/**
 	 * Registers this Resoruce adaptor activity context interface factory with
 	 * jndi.
-	 * 
+	 *
 	 * @throws NamingException
 	 */
 	private void initializeNamingContext() throws NamingException {
@@ -676,7 +683,7 @@
 	public EventLookupFacility getEventLookup() {
 		return this.eventLookup;
 	}
-	
+
 	public Object getSBBResourceAdaptorInterface(String arg0) {
 
 		return providerProxy;
@@ -744,11 +751,11 @@
 									+ "\n-------------------------------------------------------");
 				}
 
-			} 
+			}
 			catch (TransactionAlreadyExistsException e) {
 				if (log.isDebugEnabled()) {
 					log.debug(
-				
+
 						"Request where the server tx already exists, should be a retransmission and will be dropped. Request: \n"
 								+ req.getRequest()
 								+ "\n-------------------------", e);
@@ -781,7 +788,7 @@
 	private void processCancelRequest(ServerTransaction st,
 			ServerTransactionWrapper STW, RequestEvent req) {
 		SipActivityHandle inviteHandle = STW.getInviteHandle();
-	
+
 		ServerTransactionWrapper inviteSTW = (ServerTransactionWrapper) getActivity(inviteHandle);
 		CancelRequestEvent REW = null;
 		boolean inDialog = false;
@@ -877,7 +884,7 @@
 
 		int eventID = eventIdCache.getEventId(eventLookup, REW.getRequest(),
 				inDialog);
-		
+
 		fireEvent(REW, SAH, eventID, new Address(AddressPlan.SIP,
 				((ToHeader) req.getRequest().getHeader(ToHeader.NAME))
 						.getAddress().toString()));
@@ -942,11 +949,11 @@
 			processTransactionTerminated(new TransactionTerminatedEventWrapper(this.providerProxy,
 					(ServerTransaction) STW.getWrappedTransaction()));
 		}
-		
+
 	}
 
 	public void processResponse(ResponseEvent resp) {
-		
+
 		try{
 		if (log.isInfoEnabled()) {
 			log.info("Received Response:\n"+resp.getResponse());
@@ -1037,9 +1044,9 @@
 
 	private void processLateResponse(ResponseEvent resp)
 	{
-	
-		
-	
+
+
+
 			int _statusCode = resp.getResponse().getStatusCode();
 			String callId, _method, branchId;
 			callId = ((CallID) resp.getResponse().getHeader(CallID.NAME)).getCallId();
@@ -1090,9 +1097,9 @@
 			}
 
 			return;
-		
+
 	}
-	
+
 	public void processTimeout(TimeoutEvent arg0) {
 
 		Transaction t = null;
@@ -1206,7 +1213,7 @@
 		if (log.isInfoEnabled()) {
 			log.warn("SIP Transaction "+t.getBranchId()+" terminated");
 		}
-		
+
 		//HACK FOR ACK.......
 		if(t.getApplicationData()==null && t.getRequest().getMethod().equals(Request.ACK))
 		{
@@ -1260,6 +1267,11 @@
 		if (log.isInfoEnabled()) {
 			if (dw != null)
 				log.info("SIP Dialog " + dw.getActivityHandle() + " terminated");
+//			try{
+//				throw new Exception("");
+//			}catch (Exception ex){
+//				ex.printStackTrace();
+//			}
 		}
 
 		if (dw != null) {
@@ -1279,7 +1291,7 @@
 	// *************** Event Life cycle
 
 	/**
-	 * 
+	 *
 	 */
 	public boolean sendActivityEndEvent(SipActivityHandle ah) {
 		try {
@@ -1307,9 +1319,9 @@
 	}
 
 	public void setPort(Integer port) {
-		if (port.intValue() < 1024)
-			this.port = 5060;
-		else
+//		if (port.intValue() < 1024)
+//			this.port = 5060;
+//		else
 			this.port = port.intValue();
 		provisionedProperties.put(this.SIP_PORT_BIND, "" + this.port);
 	}
@@ -1398,13 +1410,13 @@
 			}
 
 			debugLogger.info("----- "+Arrays.toString(fromTagCallId2Handle.keySet().toArray())+" -----");
-			
+
 			debugLogger.info("[" + runCount + "]  ================================================");
 
 			runCount++;
 		}
 	}
-	
+
 	private void initDebug() {
 		debugTimer.scheduleAtFixedRate(new EventTimerTask(), 5000, 5000);
 	}
@@ -1458,17 +1470,17 @@
 			}
 		}
 	}
-	
-	
+
+
 	public void addClientDialogMaping(String key, SipActivityHandle handle) {
 
 		this.fromTagCallId2Handle.put(key, handle);
-		
+
 	}
 
 	public void removeClientDialogMapping(String key) {
-		
-	
+
+
 		this.fromTagCallId2Handle.remove(key);
 	}
 
Index: ra/src/main/resources/META-INF/resource-adaptor-jar.xml
===================================================================
--- ra/src/main/resources/META-INF/resource-adaptor-jar.xml	(revision 4817)
+++ ra/src/main/resources/META-INF/resource-adaptor-jar.xml	(working copy)
@@ -27,7 +27,7 @@
         <config-property>
             <config-property-name>port</config-property-name>
             <config-property-type>java.lang.Integer</config-property-type>
-            <config-property-value>5060</config-property-value>
+            <config-property-value>443</config-property-value>
         </config-property>
         
         <config-property>
@@ -41,7 +41,7 @@
         	<description>List of transports, separated with ","</description>
             <config-property-name>transports</config-property-name>
             <config-property-type>java.lang.String</config-property-type>
-            <config-property-value>UDP</config-property-value>
+            <config-property-value>UDP,TLS</config-property-value>
         </config-property>
     </resource-adaptor>
 </resource-adaptor-jar>
